package SAPDB::Install::Templates2::test::PackageDBMTestInstallation;

use SAPDB::Install::Templates2::InstUnit;
use SAPDB::Install::Templates2::InstTemplate;
use SAPDB::Install::Templates2::Debug;
use SAPDB::Install::Templates2::Util;
use SAPDB::Install::Templates2::Archiver;

use SAPDB::Install::Untgz;
use strict;

our @ISA;
if($SCRIPTING){
  require Exporter;
  push @ISA,qw(Exporter);
}
else{
  require SDB::Common::Exporter;
  push @ISA,qw(SDB::Common::Exporter);
}


require Exporter;
push @ISA,qw(Exporter);

#Configuratio
my $templateFile ; 



my ($sqlStudio,$instTemplate);
sub setUp{
  my $retVal;
  $instTemplate =  SAPDB::Install::Templates2::InstTemplate::new($templateFile) or die;
  ($retVal,$sqlStudio) = createAPackage("SDBSQLST.TGZ",$instTemplate);
  $retVal and die $retVal;
  push @{$instTemplate->GetListeners('log')},(sub {Logit($_[0]);});
  push @{$instTemplate->GetListeners('warning')},(sub {Logit( "WARNING: " . $_[0]);});
  push @{$instTemplate->GetListeners('debug')},(sub{Debugit(@_);});
}

sub createAPackage{

  my ($nm,$templ) = @_;
  my ($retVal,$packageData);
  ($retVal,$packageData) = getPackageData($templ->getArchiveDir(),$nm);
  $retVal and return ($retVal,undef);
  my $pkg  = SAPDB::Install::Templates2::InstUnit::new($packageData,$templ);
  return (0,$pkg);
}

sub tearDown{
  undef $sqlStudio;
  undef $instTemplate;
}

sub testInstall{
  $sqlStudio->install();
  $sqlStudio->preuninstall();
}



sub allTests{
  $templateFile = shift;
  unitTest(__PACKAGE__);
}

1;

# Local Variables: ***
# eval: (setq my-sdbrun (format "%s\\sys\\src\\install\\perl\\sdbrun" "c:\\SapDevelop\\aw")) ***
# eval: (setq my-script (format "%s\\sys\\wrk\\script" "c:\\SapDevelop\\aw")) ***
# eval: (setq my-src (format "%s\\sys\\src\\install\\perl" (sdb-get-current-own))) ***
# eval: (setq perl-dbg-flags (format "-w -I%s -I%s\\readkey -I%s -I%s" my-sdbrun my-sdbrun my-script my-src )) ***
# End: ***
