package SAPDB::Install::Window::DBUserSimple;

use Wx qw(wxVERTICAL wxALL wxEXPAND
		wxLEFT wxRIGHT wxTE_PASSWORD
		wxTOP wxHORIZONTAL
		wxALIGN_CENTER_VERTICAL);
use base Wx::Panel;

use SAPDB::Install::Resources;

our $img_user = SAPDB::Install::Resources->new('RESOURCES.TGZ')->
						getImages('icon/user.png')->{'icon/user.png'};

sub new{
	my $class = shift;
	my $self = $class->SUPER::new(@_);
	my $sizer = Wx::FlexGridSizer->new(2,4,20,10);
        $self->{'bmp_user'} = Wx::StaticBitmap->new($self,-1,Wx::Bitmap->new($img_user),[0,0],[-1,-1]);
        $self->{'label_user'} = Wx::StaticText->new($self,-1,'User Name');
        $self->{'label_passwd'} = Wx::StaticText->new($self,-1,'User Password');
        $self->{'label_confirm_passwd'} = Wx::StaticText->new($self,-1,'Confirm Password');
        $self->{'ctrl_user'} = Wx::TextCtrl->new($self,-1,$user->{'Name'},[0,0],[-1,-1]);
        $self->{'ctrl_passwd'} = Wx::TextCtrl->new($self,-1,
                                        $user->{'Password'},[0,0],[-1,-1],wxTE_PASSWORD);
        $self->{'ctrl_confirm_passwd'} = Wx::TextCtrl->new($self,-1,
                                        $user->{'ConfirmPassword'},[0,0],[-1,-1],wxTE_PASSWORD);
        $sizer->AddGrowableCol(1);
        $sizer->AddGrowableCol(3);
        $sizer->Add($self->{'label_user'},0,wxALIGN_CENTER_VERTICAL);
        $sizer->Add($self->{'ctrl_user'},1,wxEXPAND);
        $sizer->Add(Wx::BoxSizer->new(wxVERTICAL));
        $sizer->Add(Wx::BoxSizer->new(wxVERTICAL));
        $sizer->Add($self->{'label_passwd'},0,wxALIGN_CENTER_VERTICAL);
        $sizer->Add($self->{'ctrl_passwd'},1,wxEXPAND);
        $sizer->Add($self->{'label_confirm_passwd'},0,wxALIGN_CENTER_VERTICAL | wxLEFT,10);
        $sizer->Add($self->{'ctrl_confirm_passwd'},1,wxEXPAND);
        my $top_sizer = Wx::BoxSizer->new(wxHORIZONTAL);
        $top_sizer->Add($self->{'bmp_user'},0);
        $top_sizer->Add($sizer,1,wxEXPAND | wxALL,10);
        $self->SetSizerAndFit($top_sizer);
	return $self;
}


sub SetValue{
	my ($self,$user) = @_;
	$self->{'ctrl_user'}->SetValue($user->{'Name'});
	$self->{'ctrl_passwd'}->SetValue($user->{'Password'});
	$self->{'ctrl_confirm_passwd'}->SetValue($user->{'ConfirmPassword'});
	return 1;
}

sub GetValue{
	my ($self) = @_; 
	my %user;
	$user{'Name'} = $self->{'ctrl_user'}->GetValue;
	$user{'Password'} = $self->{'ctrl_passwd'}->GetValue;
	$user{'ConfirmPassword'} = $self->{'ctrl_confirm_passwd'}->GetValue;
	return \%user; 
}

sub Destroy{
	my ($self) = @_;
	while($self->GetSizer->Remove(0)){}
	if(defined $self->{'bmp_user'}){
		$self->{'bmp_user'}->Destroy;
		delete $self->{'bmp_user'};
	}
	if(defined $self->{'label_user'}){
		$self->{'label_user'}->Destroy;
		delete $self->{'label_user'};	
	}
	if(defined $self->{'label_passwd'}){
		$self->{'label_passwd'}->Destroy;
		delete $self->{'label_passwd'};
	}
	if(defined $self->{'label_confirm_passwd'}){
		$self->{'label_confirm_passwd'}->Destroy;
		delete $self->{'label_confirm_passwd'};
	}
	if(defined $self->{'ctrl_user'}){
		$self->{'ctrl_user'}->Destroy;
		delete $self->{'ctrl_user'};
	}
	if(defined $self->{'ctrl_passwd'}){
		$self->{'ctrl_passwd'}->Destroy;
		delete $self->{'ctrl_passwd'};
	}
	if($self->{'ctrl_confirm_passwd'}){
		$self->{'ctrl_confirm_passwd'}->Destroy;
		delete $self->{'ctrl_confirm_passwd'};		
	}	
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) = @_;
	print ">>>>> destroying $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;
