package SAPDB::Install::Window::VolumesMedium;

use Wx::Event qw(EVT_GRID_CELL_CHANGE);
use base SAPDB::Install::Grid::Base;

our @columns = (
	{
		'label' => 'Name',
		'struct_key' => 'Label',
		'type' => 'string',
		'readonly' => 1
	},
	($^O =~ /mswin/i ? 
		{
			'label' => 'Drive',
			'struct_key' => 'Drive',
			'type' => 'drive',
			'readonly' => 0
		}
	:
		{
			'label' => 'Installation Prefix',
			'struct_key' => 'Prefix',
			'type' => 'path',
			'readonly' => 0
		}),
	{
		'label' => 'Path',
		'struct_key' => 'Location',
		'type' => 'string',
		'readonly' => 1
	},
	{	'label' => 'Size in MB',
		'struct_key' => 'Size',
		'type' => 'size_pages',
		'readonly' => 0
	}
	
);


sub SetValue{
	my ($self,$vols) = @_;
	return undef unless(ref($vols) eq 'ARRAY');	
	EVT_GRID_CELL_CHANGE($self,
		sub {
			my ($self,$evt) = @_;
			if($evt->GetCol == 1){
				if($^O =~ /mswin/i){
					my $value = $self->GetCellValue($evt->GetRow,2); 	
					$value =~ s/^[a-z]://i;
					my $drive = $self->GetCellValue($evt->GetRow,1);
					$value = $drive.$value;
					$self->SetCellValue($evt->GetRow,2,$value); 		
				}
				else{
					my $prefix = $self->GetCellValue($evt->GetRow,1);
					$prefix =~ s/.+\/+$//g;
					$self->SetCellValue($evt->GetRow,2,$prefix.'/'.$vols->[$evt->GetRow]->{'Postfix'}); 			
				}
			}
			$evt->Skip(1);
		}
	);
	
	return $self->SUPER::init(\@columns,$vols);
}

sub GetValue{
	my ($self) = @_; 
	return $self->SUPER::GetValue(\@columns);
}

sub Fit{
	my ($self) = @_;
	return $self->SUPER::Fit(\@columns);
}


sub Destroy{
	my ($self) = @_;
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) = @_;
	print ">>>>> destroying $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;