# =====================================================
# @(#) GARBAGE.py                   7.4
# =====================================================
#
# To be run as SYSDBA
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2002-2005 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end

from installib import *

def install (session,options):
    """Removing obsolete objects
        """

    loaderCmd (session, 'INSTALLATION ON')

    loaderCmd (session, 'AUTOCOMMIT OFF')

    switchToSchema (session, 'DOMAIN')

    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.TERMCHARSETS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_TABLELOCKS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.CHARSETS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_DEVSPACE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SYSMON_DEVIOTHREAD')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.BWTABLES')

    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_COLUMN')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_CONNECT_PARAM')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_CONSTRAINT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_CHECK')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_DBPROCEDURE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_PARAM_DBPROC')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_DOMAIN')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_DOMAINDEF')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_FOREIGN_KEY')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_INDEX')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MAPCHARSET')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_PRIMARY_KEY')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_PRIV_GRANTED')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_PRIV_GRANTED')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_PRIV_ON')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_PRIV_ON')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_SERVERDB')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_SYNONYM')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_SYSDBA')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_TABLE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_TABLEDEF')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_TRIGGER')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_TRIGGERDEF')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_USER')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_USER_CURRENT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_USER_CONNECTED')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_VERSION')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_VIEW')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_OPTIMIZE_STAT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_CONFIG')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_CONFIG')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_VOLUME')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_BAD_INDEX')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_INDEX')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_INDEX')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_LOCK')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_LOCK_CONFIG')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_LOCK_TABLE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_LOCK_USER')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_LOG')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_MAPCHAR_SET')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_TABLE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_TABLE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_USER')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_ALL')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_CACHES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_DBPROC')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_LOAD')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_LOCK')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_LOG')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_LONG')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_PAGES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_ROW')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_MONITOR_TRANSACTION')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_STATE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_SERVERDB')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_PAGES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_ESTIMATED_PAGES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.SHOW_STAT_INDEXPAGES')

    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.COL_REFS_DOM')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.COL_USES_COL')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.FKC_REFS_COL')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.FOK_REFS_TAB')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.FOK_USES_COL')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.IND_USES_COL')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.TAB_CONT_COL')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.TAB_CONT_FOK')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.TAB_CONT_IND')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.TAB_CONT_TRG')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.TAB_USES_CON')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.USR_OWNS_DOM')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.USR_OWNS_USR')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.USR_USES_COL')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.USR_USES_DBP')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.USR_USES_TAB')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.USR_USES_VIE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.VIE_CONT_COL')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.VIE_USES_SNP')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.VIE_USES_SYN')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.VIE_USES_TAB')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW DOMAIN.VIE_USES_VIE')

#   old DBM-objects
    if sqlOK (session, "EXISTS TABLE DOMAIN.INFO_INFOS"):
	sqlOK (session, 'DROP TABLE DOMAIN.INFO_INFOS')

    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_BAD_DEVSPACES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_BAD_INDEXES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_CACHE_STATISTICS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_COLUMNS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_CONNECTED_USERS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_DATADEV_STATE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_DEVSPACES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_DISABLED_INDEXES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_EVENTS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_INDEXES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_INFOS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_IO_STATISTICS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_LOCKS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_LOG_STATE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_PARAMETERS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_STATE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_SYSDD_CONFIG')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_SYSDD_MONITOR')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_SYSDD_SERVERDBSTATE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_TABLES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_UNUSED_INDEXES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_UPDSTAT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_UPDSTAT_WANTED')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  DOMAIN.INFO_VERSIONS')

    sqlOK (session, "COMMIT")

    switchToDefaultSchema (session, options)

    stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.PRESENT')
    stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.QUERYLIBRARY')
    stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.SYSQP_ALL_SHARED_OBJECTS')
    stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.SYSACCOUNT')
    stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.SYS_AUTOSUPPOSE')
    stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.SYSERRORMAP')

    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.DATADEVSPACES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.TREELOCKS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.DATAVOLUMES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.SYS_MYAUTOSUPPOSE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.SYS_UPDSTATISTICS')
#   PTS 1132642
    stopIfSqlNotErr (session, -4007, 'DROP PUBLIC SYNONYM TRANSACTIONS')


#   old DBM-views
    rc = sqlRC (session, """SELECT * FROM SYSDD.TABLES
        WHERE SCHEMANAME =SYSDBA AND TABLENAME = 'CNMEDIA' AND TABLETYPE = 'TABLE'""")
    if rc == 0:
        stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.CNMEDIA')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.CNMEDIA')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.SYSBU$MEDIA')
    rc = sqlRC (session, """SELECT * FROM SYSDD.TABLES
        WHERE SCHEMANAME =SYSDBA AND TABLENAME = 'CNMEDDEF' AND TABLETYPE = 'TABLE'""")
    if rc == 0:
        stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.CNMEDDEF')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.CNMEDDEF')
    rc = sqlRC (session, """SELECT * FROM SYSDD.TABLES
        WHERE SCHEMANAME =SYSDBA AND TABLENAME = 'CNHIST' AND TABLETYPE = 'TABLE'""")
    if rc == 0:
        stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.CNHIST')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.CNHIST')
    if sqlOK (session, "EXISTS TABLE SYSDBA.SYSBU$HISTORY"):
	sqlOK (session, 'DROP TABLE SYSDBA.SYSBU$HISTORY')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.SYSBU$HISTORY')
    rc = sqlRC (session, """SELECT * FROM SYSDD.TABLES
        WHERE SCHEMANAME =SYSDBA AND TABLENAME = 'CNREPRT' AND TABLETYPE = 'TABLE'""")
    if rc == 0:
        stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSDBA.CNREPRT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.CNREPRT')
    if sqlOK (session, "EXISTS TABLE SYSDBA.SYSBU$REPORT"):
	sqlOK (session, 'DROP TABLE SYSDBA.SYSBU$REPORT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.SYSBU$REPORT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.CNDETAIL')
    if sqlOK (session, "EXISTS TABLE SYSDBA.SYSCNSTATE"):
	sqlOK (session, 'DROP TABLE SYSDBA.SYSCNSTATE')
    if sqlOK (session, "EXISTS TABLE SYSDBA.CNSTATE"):
	sqlOK (session, 'DROP TABLE SYSDBA.CNSTATE')
	stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.CNSTATE')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.SYSBU$STATE')
    if sqlOK (session, "EXISTS TABLE SYSDBA.DBPARAMSINFO"):
	sqlOK (session, 'DROP TABLE SYSDBA.DBPARAMSINFO')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.DBPARAMSINFO')

#old LOADER-objects
    if sqlOK (session, "EXISTS TABLE SYSDBA.TRANSFORMATIONMODEL"):
	sqlOK (session, 'DROP TABLE SYSDBA.TRANSFORMATIONMODEL')
	stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.TRANSFORMATIONMODEL')
    if sqlOK (session, "EXISTS TABLE SYSDBA.CODEPAGE"):
	sqlOK (session, 'DROP TABLE SYSDBA.CODEPAGE')
	stopIfSqlNotErr (session, -4004, 'DROP VIEW  SYSDBA.CODEPAGE')
    rc = sqlRC (session, """SELECT DBPROCEDURE FROM SYSDD.DBPROCEDURES
        WHERE DBPROCEDURE = 'TRANSFORMATIONPACKAGE' AND SCHEMANAME = SYSDBA""")
    if rc == 0:
        stopIfSqlNotOK(session, """DROP DBPROC SYSDBA.\"TRANSFORMATIONPACKAGE\"""")
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.TRANSFORMATIONPACKAGES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.TRANSFORMATIONSTEPS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.TRANSFORMATIONRESOURCES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.TRANSFORMATIONSTATISTIC')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.TRANSFORMATIONMONITOR')

#old ODBC-views
    if sqlOK (session, "EXISTS TABLE SYSDBA.SYSODBCTYPES"):
	sqlOK (session, 'DROP TABLE SYSDBA.SYSODBCTYPES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCTYPES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCTABLES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCCOLUMNS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCINDEXSTAT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCTABLESTAT')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCINDEXES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCFOREIGNKEYS')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCTABLEPRIVILEGES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCCOLUMNPRIVILEGES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCPROCEDURES')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSODBCPROCCOLUMNS')

#old PRECOM-objects
    if sqlOK (session, "EXISTS TABLE SYSDBA.SYSPROFIL"):
        sqlOK (session, "DROP TABLE SYSDBA.SYSPROFIL")
    if sqlOK (session, "EXISTS TABLE SYSDBA.SYSPROFILE"):
        sqlOK (session, "DROP TABLE SYSDBA.SYSPROFILE")
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.SYSPROFILE')

#old WA-views
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.WA_MY_CONTAINER')
    stopIfSqlNotErr (session, -4004, 'DROP VIEW SYSDBA.WA_MY_INODE')

# drop table SYSUPDSTATWANTED if there is no column SCHEMANAME
    rc = sqlRC (session, """SELECT SCHEMANAME FROM SYSUPDSTATWANTED""")
    if (rc != 0) and (rc != 100):

        stopIfSqlNotErr (session, -4004, 'DROP TABLE SYSUPDSTATWANTED')

# rename table SYSCHECKTABLELOG if there is no column SCHEMANAME
    rc = sqlRC (session,
                """SELECT SCHEMANAME FROM SYSCHECKTABLELOG
                WHERE ROWNO < 1""")
    if rc == -4005 and not existsTable (session, "SYSCHECKTABLELOGBACKUP"):
        stopIfSqlNotOK  (session,
                         """RENAME TABLE SYSCHECKTABLELOG TO
                         SYSCHECKTABLELOGBACKUP""")
        stopIfSqlNotErr (session, -4004,
                         """RENAME PUBLIC SYNONYM SYSCHECKTABLELOG TO
                         SYSCHECKTABLELOGBACKUP""")


    sqlOK (session, "COMMIT")

# End of this file
#
    loaderCmd (session, 'COMMIT WORK')
    loaderCmd (session, 'INSTALLATION OFF')

if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)


